/// <reference types="react" />
export declare type Without<T, U> = {
    [P in Exclude<keyof T, keyof U>]?: never;
};
declare type XOR<T, U> = (T | U) extends object ? (Without<T, U> & U) | (Without<U, T> & T) : T | U;
interface ScrollOptions {
    detectByElementBottom?: boolean;
    precision?: number;
}
interface TargetElementOptions extends ScrollOptions {
    targetElement?: React.MutableRefObject<any>;
}
interface UseTargetElementOptions extends ScrollOptions {
    useTargetElement?: boolean;
}
declare type UseScrollOptions = XOR<TargetElementOptions, UseTargetElementOptions>;
declare type ScrollValues = {
    progressString: string;
    progressNumber: number;
    targetElement?: React.MutableRefObject<any>;
};
declare type UseScrollProgress = (options?: UseScrollOptions) => ScrollValues;
export declare const useScrollProgress: UseScrollProgress;
export {};
//# sourceMappingURL=useScrollProgress.d.ts.map